// ShitarabianDllImp.cpp: ShitarabianDllImp クラスのインプリメンテーション
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "shitarabianLayer.h"
#include "ShitarabianDllImp.h"
#include "SettingDlg.h"
#include "DocumentIF.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// 構築/消滅
//////////////////////////////////////////////////////////////////////

CShitarabianDllImp::CShitarabianDllImp()
{

}

CShitarabianDllImp::~CShitarabianDllImp()
{

}

const char* CShitarabianDllImp::GetPlugInName()
{
	return( "レイヤー ver1.0" );
}



void CShitarabianDllImp::OnSetting(
	CDocumentIF*	pDocIF
)
{
	CSettingDlg		dlg;
	dlg.Attach( &m_aLayerz );
	if ( dlg.DoModal() == IDOK )
	{
//		if ( dlg.m_bEnable )
		{
			pDocIF->EntryToolBar( IDR_DLLTOOLBAR );
			CComboBox*	pCombo = pDocIF->SpawnComboBox(
				1,
				200,
				TRUE
			);
			pDocIF->ShowToolBar( TRUE );
			TRACE("CShitarabianDllImp::OnSetting - %d (pCombo)\n", pCombo);
		}
//		else
		{
//			pDocIF->ShowToolBar( FALSE );
		}
	}
}
